#include<iostream>
#include<math.h>
using namespace std;

int main()
{
    string str;
    cin >> str;
    int a,b;
    cin >> a >> b;

    string sol = "";
    if(abs(a-b) > 1)
    {
        sol = "nemoguce";
    } else if(abs(a-b) == 1)
    {
        if(b>a) sol+=str[1];

        for(int i = 0; i < min(a,b); i++) sol+=str;

        if(a>b) sol+=str[0];

    } else {
        for(int i = 0; i < min(a,b); i++) sol+=str;
    }
    cout << sol;
}